Flext support classes

Flext support class. More...

## Modules

| Memory allocation functions
| Flext root support class.
| Buffer handling
| Flext version number.

## Classes

class | TableAnyMap
class | TablePtrMap< K, T, N >

## Macros

#define | NEWTHROW throw(std::bad_alloc)
#define | DELTHROW throw()

## Functions

FLEXT_TEMPLATE class FLEXT_SHARE | FLEXT_CLASSDEF (flext_root)
typedef | FLEXT_TEMPINST (FLEXT_SHARE FLEXT_CLASSDEF(flext_root)) flext_root
void * | operator new (size_t bytes) throw (std::bad_alloc)
void | operator delete (void *blk) throw ()
void * | operator new[] (size_t bytes) throw (std::bad_alloc)
void | operator delete[] (void *blk) throw ()
FLEXT_TEMPLATE class FLEXT_SHARE | FLEXT_CLASSDEF (flext)
typedef | FLEXT_TEMPINST (FLEXT_CLASSDEF(flext)) flext
FLEXT_TEMPLATE class FLEXT_SHARE | FLEXT_CLASSDEF (flext_base)

## Detailed Description

Flext support class.

A number of methods (most are static functions) are defined here for convenience. This class doesn't define any data members, hence it can be inherited to all classes (not only PD objects) to profit from the cross-platform functionality. Examples are the overloaded memory allocation, atom and atom list functions, thread functions and classes, the sample buffer class and others.

This class can also be used for a non-object class (not representing an external object) and won't give any extra burden to it.

## Macro Definition Documentation

## DELTHROW

#define DELTHROW throw()

## NEWTHROW

#define NEWTHROW throw(std::bad_alloc)

## Function Documentation

## FLEXT_CLASSDEF() [1/3]

FLEXT_TEMPLATE class FLEXT_SHARE FLEXT_CLASSDEF | ( | flext |  | ) |

## FLEXT_CLASSDEF() [2/3]

FLEXT_TEMPLATE class FLEXT_SHARE FLEXT_CLASSDEF | ( | flext_base |  | ) |

## FLEXT_CLASSDEF() [3/3]

FLEXT_TEMPLATE class FLEXT_SHARE FLEXT_CLASSDEF | ( | flext_root |  | ) |

## FLEXT_TEMPINST() [1/2]

typedef FLEXT_TEMPINST | ( | FLEXT_CLASSDEF(flext) |  | ) |

## FLEXT_TEMPINST() [2/2]

typedef FLEXT_TEMPINST | ( | FLEXT_SHARE | FLEXT_CLASSDEFflext_root | ) |

## operator delete()

void flext_root::operator delete | ( | void * | blk | ) |
throw | ( |
| ) |  |

We need system locking here for secondary threads!

## operator delete[]()

void operator delete[] | ( | void * | blk | ) |
throw | ( |
| ) |  |

## operator new()

void * flext_root::operator new | ( | size_t | bytes | ) |
throw | ( | std::bad_alloc
| ) |  |

We need system locking here for secondary threads!

## operator new[]()

void* operator new[] | ( | size_t | bytes | ) |
throw | ( | std::bad_alloc
| ) |  |